#pragma once

#include <amdis/linearalgebra/Common.hpp>

namespace AMDiS
{
  /** Traits class for a linear solver for the system AX=B using an FE space described by a dune-functions Basis
   *  Contains typedefs specific to the MTL backend.
   */
  template <class A, class X, class B, class Basis>
  class SolverTraits
      : public SolverTraitsBase<A,X,B,Basis>
  {};

} // end namespace AMDiS
